Bug 204314 - databases/postgresql94-server: (and previos versions): don't strip binaries when building with DTRACE
Summary: databases/postgresql94-server: (and previos versions): don't strip binaries w...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Christoph Moench-Tegeder
URL:
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-11-05 20:57 UTC by Christoph Moench-Tegeder
Modified: 2016-07-10 07:15 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (pgsql)


Attachments
set INSTALL_TARGET=install when DTRACE is on (398 bytes, patch)
2015-11-05 20:57 UTC, Christoph Moench-Tegeder
cmt: maintainer-approval?
Details | Diff
poudriere testport for postgresql95-server (586.75 KB, text/x-log)
2016-07-08 10:44 UTC, Christoph Moench-Tegeder
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christoph Moench-Tegeder freebsd_committer 2015-11-05 20:57:16 UTC
Created attachment 162822 [details]
set INSTALL_TARGET=install when DTRACE is on

The PostgreSQL server ports use INSTALL_TARGET=install-strip. This is fine, except when building with DTrace support (DTRACE=on):

cmt@elch:/tmp/test$ sudo /usr/local/etc/rc.d/postgresql start
WARNING: number of probes fixed does not match the number of defined probes (62 != 77, respectively)
WARNING: some probes might not fire or your program might crash
WARNING: number of probes fixed does not match the number of defined probes (62 != 77, respectively)
WARNING: some probes might not fire or your program might crash
LOG:  ending log output to stderr
HINT:  Future log output will go to log destination "syslog".

Yes, I managed to crash the server while using DTrace.

This can easily prevented by not stripping binaries when building with DTrace support. As all postgresql servers use the same infrastructure in databaases/postgresql92-server/Makefile, this can be fixed with a simple one-line patch.
Comment 1 Christoph Moench-Tegeder freebsd_committer 2016-07-08 10:44:53 UTC
Created attachment 172234 [details]
poudriere testport for postgresql95-server
Comment 2 Christoph Moench-Tegeder freebsd_committer 2016-07-08 10:46:18 UTC
If there's no immediate veto, I'm going to call timeout on this - I'm running this patch now for >6months.
Comment 3 commit-hook freebsd_committer 2016-07-09 13:17:00 UTC
A commit references this bug:

Author: cmt
Date: Sat Jul  9 13:16:52 UTC 2016
New revision: 418277
URL: https://svnweb.freebsd.org/changeset/ports/418277

Log:
  do not strip binaries when building with DTRACE

  stripping would destroy some probes and might result in instable
  behaviour when trying to access those probes.

  PR:		204314
  Approved by:	rene (mentor), maintainer-timeout

Changes:
  head/databases/postgresql92-server/Makefile
Comment 4 commit-hook freebsd_committer 2016-07-10 07:15:18 UTC
A commit references this bug:

Author: cmt
Date: Sun Jul 10 07:15:05 UTC 2016
New revision: 418300
URL: https://svnweb.freebsd.org/changeset/ports/418300

Log:
  MFH: r418277

  do not strip binaries when building with DTRACE

  stripping would destroy some probes and might result in instable
  behaviour when trying to access those probes.

  PR:		204314
  Approved by:	rene (mentor), maintainer-timeout
  Approved by:	ports-secteam (junovitch)

Changes:
_U  branches/2016Q3/
  branches/2016Q3/databases/postgresql92-server/Makefile